--	Package File Template
--
--	Purpose: This package defines supplemental types, subtypes, 
--		 constants, and functions 


library IEEE;
use IEEE.STD_LOGIC_1164.all;

package filter_param is

----------------------------------------------------------
--     Number of Coefficients					              --
----------------------------------------------------------
  constant N: integer := 96;	

----------------------------------------------------------
--     Number of bits required to represent N           --
----------------------------------------------------------

	constant a: integer := 7;
  
--------------------------------------------------------------------------------------------------
--     Coefficient Values  - These are specified in 2's Complement Binary in the .coe file.		--
--									  To change coefficients change the COE file									--
--
--        -110,
--        -114,
--         121,
 --        121,
--         121,
--         131,
--        -145,
--        -162,
--         183,
--         208,
--        -237,
--        -271,
--         309,
--         353,
--        -401,
--        -456,
--         516,
--         582,
--        -654,
--        -734,
--         821,
--         915,
--       -1018,
--       -1130,
--        1252,
--        1384,
--       -1528,
--       -1684,
--        1854,
--        2040,
--       -2244,
--       -2468,
--        2715,
--        2988,
--       -3293,
 --      -3636,
 --       4023,
 --       4466,
--       -4978,
--       -5578,
--        6294,
--        7166,
--       -8256,
--       -9663,
 --      11560,
--       14273,
--      -18499,
 --     -26056,
--       43602,
--      131071,
--      131071,
--       43602,
--      -26056,
--      -18499,
--       14273,
--       11560,
--       -9663,
--       -8256,
--        7166,
--        6294,
--       -5578,
--       -4978,
--        4466,
--        4023,
--       -3636,
--       -3293,
--        2988,
--        2715,
--       -2468,
--       -2244,
--        2040,
--        1854,
--       -1684,
--       -1528,
--        1384,
--        1252,
--       -1130,
--       -1018,
--         915,
--         821,
--        -734,
--        -654,
--         582,
--         516,
--        -456,
--        -401,
--         353,
--         309,
--        -271,
--        -237,
--         208,
--         183,
--        -162,
--        -145,
--         131,
--         121,
--        -114,
 --       -110
--  );

end filter_param;


package body filter_param is


 
end filter_param;
